Security update for nghttp2

SUSE Security Update: Security update for nghttp2
Announcement ID: SUSE-SU-2021:0930-1
Rating: important
References: #1172442 #1181358
Cross-References:CVE-2020-11080
Affected Products:
  • SUSE MicroOS 5.0
  • SUSE Linux Enterprise Module for Basesystem 15-SP2

An update that solves one vulnerability and has one errata is now available.

Description:

This update for nghttp2 fixes the following issues:

  • CVE-2020-11080: HTTP/2 Large Settings Frame DoS (bsc#1181358)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE MicroOS 5.0:
    zypper in -t patch SUSE-SUSE-MicroOS-5.0-2021-930=1
  • SUSE Linux Enterprise Module for Basesystem 15-SP2:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2021-930=1

Package List:

  • SUSE MicroOS 5.0 (aarch64 x86_64):
    • libnghttp2-14-1.40.0-3.5.1
    • libnghttp2-14-debuginfo-1.40.0-3.5.1
    • nghttp2-debuginfo-1.40.0-3.5.1
    • nghttp2-debugsource-1.40.0-3.5.1
  • SUSE Linux Enterprise Module for Basesystem 15-SP2 (aarch64 ppc64le s390x x86_64):
    • libnghttp2-14-1.40.0-3.5.1
    • libnghttp2-14-debuginfo-1.40.0-3.5.1
    • libnghttp2-devel-1.40.0-3.5.1
    • libnghttp2_asio-devel-1.40.0-3.5.1
    • libnghttp2_asio1-1.40.0-3.5.1
    • libnghttp2_asio1-debuginfo-1.40.0-3.5.1
    • nghttp2-debuginfo-1.40.0-3.5.1
    • nghttp2-debugsource-1.40.0-3.5.1
  • SUSE Linux Enterprise Module for Basesystem 15-SP2 (x86_64):
    • libnghttp2-14-32bit-1.40.0-3.5.1
    • libnghttp2-14-32bit-debuginfo-1.40.0-3.5.1

References: